<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 10 $
 * $Author: PragmaMx $
 * $Date: 2018-09-30 15:43:26 +0200 (So, 30. Sep 2018) $
 */

defined('mxMainFileLoaded') or die('access denied');

	
	$module_name = basename(dirname(__FILE__));
	mxGetLangfile($module_name);
	include_once(PMX_MODULES_DIR . DS . $module_name . DS . "includes" . DS . "functions.php");

	/* erstmal aus der Datenbank lesen */
	
	$conf = load_class('Book', $module_name);
	

	$index = 1;
	$plugins=0; 
	pmxBase::set("plugins",0);

	$adminlink=(MX_IS_ADMIN)?"<a href=\"admin.php?op=$module_name\" title=\"\" >["._ADMINMENUEBL."]</a>":"";

	$lang = pmxBase::currentlang();
    
	$frecord=function () {
			global $module_name;
			$langlist = mxGetAvailableLanguages(true);
			$temp=array();
			$a=array();
			$config=array();
			$config['rightblocks']=1;
			$config['plugins']=0;
			$config['changecontent']=0;			
			
			foreach($langlist as $caption => $language) {
				$a[$language]="";
				$b[$language]=$module_name;
			}
			$temp['date_created']=0;
			$temp['title']=serialize($b);
			$temp['text1']=serialize($a);
			$temp['config']=serialize($config);
			unset($a,$b);
			return $temp;
		};
	$drecord=$frecord();
	$default=unserialize($drecord['config']);
	
    $root = $conf->getRootRecord();
	//$config=unserialize($root['config']);
	/* check first time */
	if ($root['date_created']==0) {
		/* first start */
		$root=$drecord;
		$root['date_created']=time();
		$conf->setRootRecord($root);
	}
	if (!trim($root['config'])==""){
			$config=unserialize($root['config']);
	} else {
		$config=$default;
	}
	$config = array_merge($default,$config);
	$root   = array_merge($drecord,$root);
    $text1 = array();
	if (!trim($root['text1'])=="") {
	    $text1 = unserialize($root['text1']);
	}
	$titel=array();
	
	$titel = ($root['title']==$module_name)?unserialize($drecord['title']):unserialize($root['title']);
	
	
	$title=stripslashes(trim($titel[$lang]));
	$text=stripslashes(trim($text1[$lang]));
	$index = $config['rightblocks'];
	$plugins=$config['plugins'];
	
    /*
     * Template
     */
    
    $template = load_class('Template');
    $template->init_path(__FILE__);
    /* Variablen an das Template uebergeben */
    $template->assign(
        compact(
            'text',
			'title',
            'module_name',
			'adminlink'
            ));

    /* Template ausgeben (echo) */

    mxIncludeHeader();
	$plugins=$config['plugins'];
	
    $template->display('view.page.html');
    
    mxIncludeFooter();



?>
